* ./debian/woody-buildpackage: added a script to build .debs on woody.
authorSam Hocevar <sam@videolan.org>
Sun, 2 Feb 2003 17:18:47 +0000 (17:18 +0000)
committerSam Hocevar <sam@videolan.org>
Sun, 2 Feb 2003 17:18:47 +0000 (17:18 +0000)
debian/.cvsignore
debian/README.Debian
debian/changelog
debian/control.woody [deleted file]
debian/rules.woody [deleted file]
debian/woody-buildpackage [new file with mode: 0755]

index c0f2631..2b3eb76 100644 (file)
@@ -1,5 +1,8 @@
 Makefile
 Makefile.in
+changelog.woody
+control.woody
+rules.woody
 tmp
 vlc
 mozilla-plugin-vlc
index 444262d..4d360e6 100644 (file)
@@ -1,9 +1,11 @@
-$Id: README.Debian,v 1.1 2003/02/02 04:17:53 sam Exp $
+$Id: README.Debian,v 1.2 2003/02/02 17:18:47 sam Exp $
 
 Notes for anyone wanting to build Debian packages of VLC.
 
  - Default configuration is supposed to be latest unstable.
 
+ - To build for a Debian woody system, use debian/woody-buildpackage.
+
  - Usually VLC will come with a copy of ffmpeg and faad2 in the extras/
    directory, because they are not yet available in Debian.
 
index 66d027e..7945107 100644 (file)
@@ -368,6 +368,3 @@ vlc (0.1.99-1) unstable; urgency=low
 
  -- Samuel Hocevar <sam@via.ecp.fr>  Mon, 13 Mar 2000 02:21:45 +0100
 
-Local variables:
-mode: debian-changelog
-End:
diff --git a/debian/control.woody b/debian/control.woody
deleted file mode 100644 (file)
index 43b968a..0000000
+++ /dev/null
@@ -1,296 +0,0 @@
-Source: vlc
-Section: graphics
-Priority: optional
-Maintainer: Samuel Hocevar <sam@zoy.org>
-Build-Depends: debhelper (>=2.2.0), xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt-dev, libasound2-dev (>=0.9.0beta10a), libarts-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi1-dev, mozilla-dev, kdelibs-dev, dvb-dev, libdv2-dev, libxosd-dev, svgalibg1-dev (>=1.4.0), libogg-dev, libvorbis-dev, libwxgtk2.4-dev
-Standards-Version: 3.5.6
-
-Package: vlc
-Section: graphics
-Architecture: any
-Depends: ${shlibs:Depends}
-Recommends: vlc-gui, vlc-plugin-mad, vlc-plugin-a52
-Suggests: gnome-vlc
-Description: a complete multimedia player
- This is the VLC media player. It plays MPEG, MPEG2, MPEG4, DivX, mp3,
- Ogg/Vorbis files, DVDs, and multimedia streams from network sources.
-
-Package: libvlc0-dev
-Section: devel
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: development files for VLC
- This package contains headers and a static library required to build plugins
- for VLC, or standalone applications that use VLC features.
-
-Package: gnome-vlc
-Section: graphics
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Recommends: vlc-plugin-esd
-Conflicts: vlc-gnome (<< 0.5.0)
-Replaces: vlc-gnome (<< 0.5.0)
-Provides: vlc-gui
-Description: GNOME frontend for VLC
- This plugin adds a Gnome interface to the VLC media player. To activate
- it, use the `--intf gnome' flag or run the `gnome-vlc' program.
-
-Package: vlc-gnome
-Architecture: any
-Depends: gnome-vlc
-Description: Legacy package that you should remove.
- This package is now called gnome-vlc.
-
-Package: gvlc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
-Replaces: vlc-gnome (<= 0.2.63-2), vlc-gtk (<< 0.5.0)
-Provides: vlc-gui
-Description: Gtk+ frontend for VLC
- This plugin adds a Gtk+ interface to the VLC media player. To activate
- it, use the `--intf gtk' flag or run the `gvlc' program.
-
-Package: vlc-gtk
-Architecture: any
-Depends: gvlc
-Description: Legacy package that you should remove.
- This package is now called gvlc.
-
-Package: vlc-plugin-esd
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-esd (<< 0.5.0)
-Replaces: vlc-esd (<< 0.5.0)
-Description: Esound audio output plugin for VLC
- This plugin adds support for the Enlightened Sound Daemon to the VLC
- media player. To activate it, use the `--aout esd' flag or select the
- `esd' audio output plugin from the preferences menu.
-
-Package: vlc-esd
-Architecture: any
-Depends: vlc-plugin-esd
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-esd.
-
-Package: vlc-plugin-alsa
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-alsa (<< 0.5.0)
-Replaces: vlc-alsa (<< 0.5.0)
-Description: ALSA audio output plugin for VLC
- This plugin adds support for the Advanced Linux Sound Architecture to
- the VLC media player. To activate it, use the `--aout alsa' flag or
- select the `alsa' audio output plugin from the preferences menu.
-
-Package: vlc-alsa
-Architecture: any
-Depends: vlc-plugin-alsa
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-alsa.
-
-Package: vlc-plugin-sdl
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-sdl (<< 0.5.0)
-Replaces: vlc-sdl (<< 0.5.0)
-Description: SDL video and audio output plugin for VLC
- This plugin adds support for the Simple DirectMedia Layer library to
- the VLC media player. To activate it, use the `--vout sdl' or
- `--aout sdl' flags or select the `sdl' video or audio output plugin
- from the preferences menu.
-
-Package: vlc-sdl
-Architecture: any
-Depends: vlc-plugin-sdl
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-sdl.
-
-Package: vlc-plugin-ggi
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-ggi (<< 0.5.0)
-Replaces: vlc-ggi (<< 0.5.0)
-Description: GGI video output plugin for VLC
- This is a GGI plugin for the VLC media player.  To activate it, use
- the `--vout ggi' flag or select the `ggi' video output plugin from the
- preferences menu.
-
-Package: vlc-ggi
-Architecture: any
-Depends: vlc-plugin-ggi
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-ggi.
-
-Package: vlc-plugin-glide
-Architecture: i386
-Depends: vlc (= ${Source-Version}), libglide2
-Conflicts: vlc-glide (<< 0.5.0)
-Replaces: vlc-glide (<< 0.5.0)
-Description: Glide video output plugin for VLC
- This is a Glide (3dfx) plugin for the VLC media player. To activate
- it, use the `--vout glide' flag or select the `glide' video output
- plugin from the preferences menu.
-
-Package: vlc-glide
-Architecture: any
-Depends: vlc-plugin-glide
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-glide.
-
-Package: qvlc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-qt (<< 0.5.0)
-Replaces: vlc-qt (<< 0.5.0)
-Provides: vlc-gui
-Description: Qt frontend for VLC
- This plugin adds a Qt interface to the VLC media player. To activate it,
- use the `--intf qt' flag or run the `qvlc' program.
-
-Package: vlc-qt
-Architecture: any
-Depends: qvlc
-Description: Legacy package that you should remove.
- This package is now called qvlc.
-
-Package: vlc-plugin-mad
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-mad (<< 0.5.0)
-Replaces: vlc-mad (<< 0.5.0)
-Description: MAD audio codec plugin for VLC
- This plugin adds support for libmad, the MPEG audio decoder library,
- to the VLC media player. MAD is 100% fixed-point based. The plugin is
- autodetected.
-
-Package: vlc-mad
-Architecture: any
-Depends: vlc-plugin-mad
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-mad.
-
-Package: vlc-plugin-arts
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-arts (<< 0.5.0)
-Replaces: vlc-arts (<< 0.5.0)
-Description: aRts audio output plugin for VLC
- This plugin adds support for the aRts Sound System to the VLC media
- player. To activate it, use the `--aout arts' flag or select the `arts'
- audio output plugin from the preferences menu.
-
-Package: vlc-arts
-Architecture: any
-Depends: vlc-plugin-arts
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-arts.
-
-Package: vlc-plugin-lirc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-lirc (<< 0.5.0)
-Replaces: vlc-lirc (<< 0.5.0)
-Description: lirc (infrared remote control) interface plugin for VLC
- This plugin is an infrared lirc interface for the VLC media player. To
- activate it, use the `--extraintf lirc' flag or select the `lirc' extra
- interface plugin from the preferences menu.
-
-Package: vlc-lirc
-Architecture: any
-Depends: vlc-plugin-lirc
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-lirc.
-
-Package: vlc-plugin-aa
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-aa (<< 0.5.0)
-Replaces: vlc-aa (<< 0.5.0)
-Description: ASCII art video output plugin for VLC
- This is an ASCII art video output plugin for the VLC media player. To
- activate it, use the `--vout aa' flag or select the `aa' video output
- plugin from the preferences menu.
-
-Package: vlc-aa
-Architecture: any
-Depends: vlc-plugin-aa
-Description: Legacy package that you should remove.
- This package is now called vlc-plugin-aa.
-
-Package: vlc-plugin-xosd
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Conflicts: vlc-xosd (<< 0.5.0)
-Replaces: vlc-xosd (<< 0.5.0)
-Description: X On-Screen Display plugin for VLC
- This is an On-Screen Display plugin for the VLC media player. To
- activate it, use the `--extraintf xosd' flag or select the `xosd'
- extra interface plugin from the preferences menu.
-
-Package: mozilla-plugin-vlc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Recommends: mozilla-browser
-Description: a multimedia plugin for Mozilla based on VLC
- This plugin adds support for MPEG, MPEG2, DVD, DivX, Ogg/Vorbis and many
- more formats to your Mozilla browser. The decoding process is done by VLC
- and the output window is embedded in a webpage or directly in the browser
- window. There is also support for fullscreen display and javascript control.
-
-Package: kvlc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Recommends: vlc-plugin-arts
-Conflicts: vlc-kde (<< 0.5.0)
-Replaces: vlc-kde (<< 0.5.0)
-Provides: vlc-gui
-Description: KDE frontend for VLC
- This plugin adds a KDE interface to the VLC media player. To activate it,
- use the `--intf kde' flag or run the `kvlc' program.
-
-Package: vlc-plugin-svgalib
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: SVGAlib video output plugin for VLC
- This plugin adds support for SVGAlib to the VLC media player. To
- activate it, use the `--vout svgalib' flag or select the `svgalib' video
- output plugin from the preferences menu. Note that you will need root
- permissions to use SVGAlib.
-
-Package: vlc-plugin-dv
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: DV codec plugin for VLC
- This plugin adds support for the DV video format to the VLC media player.
- The plugin is autodetected.
-
-Package: vlc-plugin-a52
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: A-52 (AC-3) codec plugin for VLC
- This plugin adds support for the ATSC A-52 (aka. AC-3) audio format to
- the VLC media player. The plugin is autodetected.
-
-Package: vlc-plugin-dvb
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: DVB input plugin for VLC
- This plugin adds support for DVB cards to the VLC media player. Note
- that your card needs to be supported by your kernel before VLC can use it.
-
-Package: vlc-plugin-ogg
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Description: Ogg demuxer and Vorbis codec plugins for VLC
- These plugins add support for the Ogg bitstream format and the Ogg Vorbis
- compressed audio format to the VLC media player. They are autodetected.
-
-Package: wxvlc
-Architecture: any
-Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
-Provides: vlc-gui
-Description: wxWindows frontend for VLC
- This plugin adds a wxWindow interface to the VLC media player. To
- activate it, use the `--intf wxwin' flag or run the `wxvlc' program.
-
diff --git a/debian/rules.woody b/debian/rules.woody
deleted file mode 100755 (executable)
index 23c43ff..0000000
+++ /dev/null
@@ -1,296 +0,0 @@
-#!/usr/bin/make -f
-# debian/rules for the VideoLAN Client - uses debhelper.
-# based on Joey Hess's one.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=3
-
-#
-# Compilation options
-#
-
-CONFIG_FLAGS = --enable-release --prefix=/usr
-CONFIG_FLAGS += \
-       --enable-gnome \
-       --enable-gtk \
-       --enable-familiar \
-       --enable-fb \
-       --enable-ggi \
-       --enable-sdl \
-       --enable-esd \
-       --enable-qt \
-       --enable-mad \
-       --enable-arts \
-       --enable-alsa \
-       --enable-lirc \
-       --enable-a52 \
-       --enable-aa \
-       --enable-dvbpsi \
-       --enable-xosd \
-       --enable-mozilla \
-       --enable-kde \
-       --enable-mp4 \
-       --enable-dvb \
-       --enable-dv \
-       --enable-svgalib \
-       --enable-satellite \
-       --enable-ogg \
-       --enable-vorbis \
-       --enable-wxwindows \
-       $(NULL)
-
-# These ones are currently shipped with VLC
-CONFIG_FLAGS += --enable-ffmpeg --with-ffmpeg-tree=extras/ffmpeg
-CONFIG_FLAGS += --enable-faad --with-faad-tree=extras/faad
-
-# Glide is only for x86
-ifeq ($(DEB_BUILD_ARCH),i386)
-CONFIG_FLAGS += --enable-glide
-else
-ARCH_EXCLUDE = -Nvlc-plugin-glide
-endif
-
-# Remove --without-dvdcss in non-totalitarian countries
-CONFIG_FLAGS += --enable-dvd --without-dvdcss
-
-# A few shortcuts
-VIDDIR = usr/share/vlc
-PIXDIR = usr/share/pixmaps
-GNOMEDIR = usr/share/gnome/apps/Multimedia
-
-#
-# Build rules
-#
-
-build: build-stamp
-build-stamp:
-       dh_testdir
-
-       # Check that we have an ffmpeg tree in here (can be a symlink)
-       test -d extras/ffmpeg
-       if test ! -d CVS; then cd extras/ffmpeg && ./configure && make; fi
-
-       # Check that we have an faad tree in here (can be a symlink)
-       test -d extras/faad
-       if test ! -d CVS; then cd extras/faad && ./configure --disable-shared && cd libfaad && make; fi
-
-       # Configure VLC and build it
-       ./configure --mandir=$${prefix}/share/man \
-               --infodir=$${prefix}/share/info $(CONFIG_FLAGS)
-       $(MAKE)
-
-       touch build-stamp
-
-clean:
-       dh_testdir
-       dh_testroot
-       rm -f build-stamp
-
-       # Check that we have an ffmpeg tree in here (can be a symlink)
-       test -d extras/ffmpeg
-       -if test ! -d CVS; then cd extras/ffmpeg && make distclean; fi
-       # Check that we have an faad tree in here (can be a symlink)
-       test -d extras/faad
-       -if test ! -d CVS; then cd extras/faad && make distclean; fi
-
-       -$(MAKE) distclean
-
-       dh_clean
-
-install: build
-       dh_testdir
-       dh_testroot
-       dh_clean -k
-       dh_installdirs
-
-       DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr
-
-       # Package: vlc
-       mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
-       cp debian/vlc.desktop debian/vlc/$(GNOMEDIR)
-       cp debian/gvlc.desktop debian/gvlc/$(GNOMEDIR)
-       cp debian/gnome-vlc.desktop debian/gnome-vlc/$(GNOMEDIR)
-
-       # Package: libvlc0-dev
-       mv debian/vlc/usr/bin/vlc-config debian/libvlc0-dev/usr/bin/
-       mv debian/vlc/usr/lib/*.a debian/libvlc0-dev/usr/lib/
-       mv debian/vlc/usr/lib/vlc/*.a debian/libvlc0-dev/usr/lib/vlc/
-       mv debian/vlc/usr/include/vlc/*.h debian/libvlc0-dev/usr/include/vlc/
-       rm -Rf debian/vlc/usr/include
-       ln -s vlc debian/libvlc0-dev/usr/share/doc/libvlc0-dev
-
-       # Package: gnome-vlc
-       mv debian/vlc/usr/bin/gnome-vlc debian/gnome-vlc/usr/bin/
-       ln -s vlc debian/gnome-vlc/usr/share/doc/gnome-vlc
-       mv debian/vlc/usr/lib/vlc/misc/libgnome_main_plugin.so \
-               debian/gnome-vlc/usr/lib/vlc/gui/
-       mv debian/vlc/usr/lib/vlc/gui/libgnome_plugin.so \
-               debian/gnome-vlc/usr/lib/vlc/gui/
-       ln -s vlc.1.gz debian/gnome-vlc/usr/share/man/man1/gnome-vlc.1.gz
-       mv debian/vlc/$(VIDDIR)/gnome-vlc32x32.xpm debian/gnome-vlc/$(VIDDIR)/gnome-vlc.xpm
-       mv debian/vlc/$(VIDDIR)/gnome-vlc48x48.png debian/gnome-vlc/$(PIXDIR)/gnome-vlc.png
-
-       # Package: gvlc
-       mv debian/vlc/usr/bin/gvlc debian/gvlc/usr/bin/
-       ln -s vlc debian/gvlc/usr/share/doc/gvlc
-       mv debian/vlc/usr/lib/vlc/misc/libgtk_main_plugin.so \
-               debian/gvlc/usr/lib/vlc/gui/
-       mv debian/vlc/usr/lib/vlc/gui/libgtk_plugin.so \
-               debian/gvlc/usr/lib/vlc/gui/
-       mv debian/vlc/usr/lib/vlc/gui/libfamiliar_plugin.so \
-               debian/gvlc/usr/lib/vlc/gui/
-       ln -s vlc.1.gz debian/gvlc/usr/share/man/man1/gvlc.1.gz
-       mv debian/vlc/$(VIDDIR)/gvlc32x32.xpm debian/gvlc/$(VIDDIR)/gvlc.xpm
-       mv debian/vlc/$(VIDDIR)/gvlc48x48.png debian/gvlc/$(PIXDIR)/gvlc.png
-
-       # Package: vlc-plugin-esd
-       ln -s vlc debian/vlc-plugin-esd/usr/share/doc/vlc-plugin-esd
-       mv debian/vlc/usr/lib/vlc/audio_output/libesd_plugin.so \
-               debian/vlc-plugin-esd/usr/lib/vlc/audio_output/
-
-       # Package: vlc-plugin-alsa
-       ln -s vlc debian/vlc-plugin-alsa/usr/share/doc/vlc-plugin-alsa
-       mv debian/vlc/usr/lib/vlc/audio_output/libalsa_plugin.so \
-               debian/vlc-plugin-alsa/usr/lib/vlc/audio_output/
-
-       # Package: vlc-plugin-sdl
-       ln -s vlc debian/vlc-plugin-sdl/usr/share/doc/vlc-plugin-sdl
-       mv debian/vlc/usr/lib/vlc/audio_output/libaout_sdl_plugin.so \
-               debian/vlc-plugin-sdl/usr/lib/vlc/audio_output/
-       mv debian/vlc/usr/lib/vlc/video_output/libvout_sdl_plugin.so \
-               debian/vlc-plugin-sdl/usr/lib/vlc/video_output/
-
-       # Package: vlc-plugin-ggi
-       ln -s vlc debian/vlc-plugin-ggi/usr/share/doc/vlc-plugin-ggi
-       mv debian/vlc/usr/lib/vlc/video_output/libggi_plugin.so \
-               debian/vlc-plugin-ggi/usr/lib/vlc/video_output/
-
-       # Package: vlc-plugin-glide
-ifeq ($(DEB_BUILD_ARCH),i386)
-       ln -s vlc debian/vlc-plugin-glide/usr/share/doc/vlc-plugin-glide
-       mv debian/vlc/usr/lib/vlc/video_output/libglide_plugin.so \
-               debian/vlc-plugin-glide/usr/lib/vlc/video_output/
-endif
-
-       # Package: qvlc
-       mv debian/vlc/usr/bin/qvlc debian/qvlc/usr/bin/
-       ln -s vlc debian/qvlc/usr/share/doc/qvlc
-       mv debian/vlc/usr/lib/vlc/gui/libqt_plugin.so \
-               debian/qvlc/usr/lib/vlc/gui/
-       ln -s vlc.1.gz debian/qvlc/usr/share/man/man1/qvlc.1.gz
-       mv debian/vlc/$(VIDDIR)/qvlc32x32.xpm debian/qvlc/$(VIDDIR)/qvlc.xpm
-       mv debian/vlc/$(VIDDIR)/qvlc48x48.png debian/qvlc/$(PIXDIR)/qvlc.png
-
-       # Package: vlc-plugin-mad
-       ln -s vlc debian/vlc-plugin-mad/usr/share/doc/vlc-plugin-mad
-       mv debian/vlc/usr/lib/vlc/audio_filter/libmpgatofixed32_plugin.so \
-               debian/vlc-plugin-mad/usr/lib/vlc/audio_filter/
-
-       # Package: vlc-plugin-arts
-       ln -s vlc debian/vlc-plugin-arts/usr/share/doc/vlc-plugin-arts
-       mv debian/vlc/usr/lib/vlc/audio_output/libarts_plugin.so \
-               debian/vlc-plugin-arts/usr/lib/vlc/audio_output/
-
-       # Package: vlc-plugin-lirc
-       ln -s vlc debian/vlc-plugin-lirc/usr/share/doc/vlc-plugin-lirc
-       mv debian/vlc/usr/lib/vlc/control/liblirc_plugin.so \
-               debian/vlc-plugin-lirc/usr/lib/vlc/control/
-
-       # Package: vlc-plugin-aa
-       ln -s vlc debian/vlc-plugin-aa/usr/share/doc/vlc-plugin-aa
-       mv debian/vlc/usr/lib/vlc/video_output/libaa_plugin.so \
-               debian/vlc-plugin-aa/usr/lib/vlc/video_output/
-
-       # Package: vlc-plugin-xosd
-       ln -s vlc debian/vlc-plugin-xosd/usr/share/doc/vlc-plugin-xosd
-       mv debian/vlc/usr/lib/vlc/visualization/libxosd_plugin.so \
-               debian/vlc-plugin-xosd/usr/lib/vlc/visualization/
-
-       # Package: mozilla-plugin-vlc
-       ln -s vlc debian/mozilla-plugin-vlc/usr/share/doc/mozilla-plugin-vlc
-       mv debian/vlc/usr/lib/mozilla debian/mozilla-plugin-vlc/usr/lib
-
-       # Package: kvlc
-       mv debian/vlc/usr/bin/kvlc debian/kvlc/usr/bin/
-       ln -s vlc debian/kvlc/usr/share/doc/kvlc
-       mv debian/vlc/usr/lib/vlc/gui/libkde_plugin.so \
-               debian/kvlc/usr/lib/vlc/gui/
-       mv debian/vlc/usr/share/vlc/ui.rc \
-               debian/kvlc/usr/share/vlc
-       ln -s vlc.1.gz debian/kvlc/usr/share/man/man1/kvlc.1.gz
-       mv debian/vlc/$(VIDDIR)/kvlc32x32.xpm debian/kvlc/$(VIDDIR)/kvlc.xpm
-       mv debian/vlc/$(VIDDIR)/kvlc48x48.png debian/kvlc/$(PIXDIR)/kvlc.png
-
-       # Package: vlc-plugin-svgalib
-       ln -s vlc debian/vlc-plugin-svgalib/usr/share/doc/vlc-plugin-svgalib
-       mv debian/vlc/usr/lib/vlc/video_output/libsvgalib_plugin.so \
-               debian/vlc-plugin-svgalib/usr/lib/vlc/video_output
-
-       # Package: vlc-plugin-dv
-       ln -s vlc debian/vlc-plugin-dv/usr/share/doc/vlc-plugin-dv
-       mv debian/vlc/usr/lib/vlc/codec/libdv_plugin.so \
-               debian/vlc-plugin-dv/usr/lib/vlc/codec
-
-       # Package: vlc-plugin-a52
-       ln -s vlc debian/vlc-plugin-a52/usr/share/doc/vlc-plugin-a52
-       mv debian/vlc/usr/lib/vlc/audio_filter/liba52tofloat32_plugin.so \
-               debian/vlc-plugin-a52/usr/lib/vlc/audio_filter
-
-       # Package: vlc-plugin-dvb
-       ln -s vlc debian/vlc-plugin-dvb/usr/share/doc/vlc-plugin-dvb
-       mv debian/vlc/usr/lib/vlc/access/libsatellite_plugin.so \
-               debian/vlc-plugin-dvb/usr/lib/vlc/access
-
-       # Package: vlc-plugin-ogg
-       ln -s vlc debian/vlc-plugin-ogg/usr/share/doc/vlc-plugin-ogg
-       mv debian/vlc/usr/lib/vlc/demux/libogg_plugin.so \
-               debian/vlc-plugin-ogg/usr/lib/vlc/demux
-       mv debian/vlc/usr/lib/vlc/codec/libvorbis_plugin.so \
-               debian/vlc-plugin-ogg/usr/lib/vlc/codec
-
-       # Package: wxvlc
-       mv debian/vlc/usr/bin/wxvlc debian/wxvlc/usr/bin/
-       ln -s vlc debian/wxvlc/usr/share/doc/wxvlc
-       mv debian/vlc/usr/lib/vlc/gui/libwxwindows_plugin.so \
-               debian/wxvlc/usr/lib/vlc/gui/
-       ln -s vlc.1.gz debian/wxvlc/usr/share/man/man1/wxvlc.1.gz
-
-       # Clean up
-       rm -f debian/vlc/$(VIDDIR)/*.png
-
-       #gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
-
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
-#      dh_testversion
-       dh_testdir
-       dh_testroot
-#      dh_installdebconf       
-       dh_installdocs -p vlc
-#      dh_installexamples
-       dh_installmenu
-       dh_installman doc/vlc.1 -p vlc
-       dh_installman doc/vlc-config.1 -p libvlc0-dev
-       dh_installchangelogs ChangeLog -p vlc
-       dh_link
-       dh_strip
-       dh_compress
-       dh_fixperms
-       dh_makeshlibs
-       dh_installdeb
-#      dh_perl
-       dh_shlibdeps $(ARCH_EXCLUDE)
-       dh_gencontrol $(ARCH_EXCLUDE)
-       dh_md5sums $(ARCH_EXCLUDE)
-       dh_builddeb $(ARCH_EXCLUDE)
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
-
diff --git a/debian/woody-buildpackage b/debian/woody-buildpackage
new file mode 100755 (executable)
index 0000000..57ac5a4
--- /dev/null
@@ -0,0 +1,49 @@
+#! /bin/sh
+
+# $Id: woody-buildpackage,v 1.1 2003/02/02 17:18:47 sam Exp $
+# Build VLC for a Woody Debian system
+
+if test ! -d debian
+then
+  echo "No debian/ directory"
+  exit 1
+fi
+
+# replace (1.2.3-4) with (1.2.3-0woody.4)
+sed -e 's/^vlc (\([^)]*\)-\([^-)]*\))/vlc (\1-0woody.\2)/' \
+    < debian/changelog >| debian/changelog.woody
+
+# replace liba52-*-dev with a52dec-dev (>=0.7.3)
+#         libdv*-dev with libdv-dev
+#         libwxgtk2.4-dev with (nil)
+sed -e 's/liba52-[^-]*-dev/a52dec-dev (>=0.7.3)/' \
+    -e 's/libdv[0-9]*-dev/libdv-dev/' \
+    -e 's/, libwx[^,]*//' \
+    -e '/Package: wxvlc/,/^ *$/d' \
+    < debian/control >| debian/control.woody
+
+# remove wxwindows stuff
+sed -e '/# Package: wxvlc/,/^ *$/d' \
+    -e '/--enable-wxwindows/d' \
+    < debian/rules >| debian/rules.woody
+chmod a+x debian/rules.woody
+
+curd="`pwd`"
+dirn="`basename \"$curd\"`"
+package="`dpkg-parsechangelog -ldebian/changelog.woody | sed -n 's/^Source: //p'`"
+version="`dpkg-parsechangelog -ldebian/changelog.woody | sed -n 's/^Version: //p'`"
+maintainer="`dpkg-parsechangelog -ldebian/changelog.woody | sed -n 's/^Maintainer: //p'`"
+eval `dpkg-architecture -a -t -s -f`
+arch="`dpkg-architecture -a -t -qDEB_HOST_ARCH`"
+sversion=`echo "$version" | perl -pe 's/^\d+://'`
+pv="${package}_${sversion}"
+pva="${package}_${sversion}_${arch}"
+chg=../"$pva.changes"
+
+dpkg-checkbuilddeps -B debian/control.woody
+fakeroot debian/rules.woody clean
+cd ..; dpkg-source -b "$dirn"; cd "$dirn"
+debian/rules.woody build
+fakeroot debian/rules binary
+dpkg-genchanges -ldebian/changelog.woody -c debian/control.woody >"$chg"
+